> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/a.m.-football/websocket/websocket-sample-data.md).

# WebSocket Sample Data

### score

```json
[
    {
        "id": "dn1m10bk7gw0roe",
        "score": [
            "dn1m10bk7gw0roe",
            100,
            0,
            {
                "ft": [
                    33,
                    40
                ],
                "p1": [
                    14,
                    10
                ],
                "p2": [
                    12,
                    8
                ],
                "p3": [
                    0,
                    14
                ],
                "p4": [
                    7,
                    8
                ]
            }
        ],
        "timer": [
            0,
            0,
            1730346452,
            788
        ]
    }
]

Live score field description
ft - Regular score
p* - Single inning score(* - Number of inning, 1、2、3...)
ot - Overtime score(Contains regular scores)
[
    "dn1m10bk7gw0roe",//Match id
    100,//Match status, please refer to Status code->Match state
    0,//Serving side, 1. Home team, 2. Away team, 0. Unknown
    {
        "ft": [//Regular score
            33,//Home team score
            40 //Away team score
        ],
        "p1": [//p* - Single inning score(* - Number of inning, 1、2、3...)
            14,//Home team score
            10 //Away team score
        ],
        "p2": [
            12,
            8
        ],
        "p3": [
            0,
            14
        ],
        "p4": [
            7,
            8
        ]
    }
]

Timer field description
[
  0,//Whether to run seconds, 1-yes, 0-no
  0,//Whether to count down, 1-yes, 0-no
  1730346452,//Update time
  872 //Remaining time of current inning (seconds)
]
```

### stats

```json
[
    {
        "id": "4wyrnwb2jzlkr86",
        "stats": [
            [
                0,
                [
                    [
                        62,
                        9,
                        13
                    ],
                    [
                        74,
                        5.2,
                        6.8
                    ]
                ]
            ]
        ]
    }
]

Match statistics field description
[
    [
        0,//Type, 0-full court, 1-first set, 2-second set, and so on
        [
            [
                62,//Statistic type，please refer to Status code->Team Statistics
                9,//Home team value
                13//Away team value
            ],
            [
                74,
                5.2,
                6.8
            ]
        ]
    ]
]
```

### incidents

```json
[
  {
  "id": "4wyrnwb2jzlkr86",
  "incidents": [
    {
      "type": 2,
      "extra": 8,
      "second": 484,
      "position": 2,
      "home_score": 7,
      "away_score": 3,
      "player_id": "23xmv2bw0g1qg8n"
    },
    {
      "type": 1,
      "extra": 1,
      "second": 900,
      "position": 0,
    }
  ]
  }
]

match event field description
extra:
type=1(end，end point description)，1-Section One、2-Section Two、3-Section Three、4-Section Four、100-Regular Ends、105-Overtime Ends
type=2(goal，score type description)，6-Safety、7-Extra Point、8-Field Goal、9-Touch Down、10-Two Point Conversion、0-Unknown
{
  "type": 2,//Type，see status code -> Incident Type
  "extra": 8,//Type additional notes
  "second": 484,//second
  "position": 2,//The incident occurred，0-neutral，1- home team，2- away team
  
  "home_score": 7,//Home team score，related to the goal incident，may not exist
  "away_score": 3,//Away team score，related to the goal incident，may not exist
  "player_id": "23xmv2bw0g1qg8n",//Player id，related to the goal incident，may not exist
}
```

### players

```json
[
  {
    "id": "4wyrnwb2jzlkr86",
    "players": {
      "home": [
        {
          "id": "l5ergkb28g3m8k0",
          "stats": [
            [
              1,
              23
            ],
            [
              3,
              0.821
            ],
          ]
        }
      ],
      "away": []
    }
  }
]

Player statistics field description
{
  "id": "l5ergkb28g3m8k0",//Player id
  "stats": [
    [
      1, //Statistic type，please refer to Status code->Player Statistics
      23 //Value
    ],
    [
      3,
      0.821
    ],
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/a.m.-football/websocket/websocket-sample-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
